एक डेबियन .deb पैकेज को आर्क लिनक्स पैकेज में बदलें

एक के समेकन की कमी यूनिवर्सल पैकेज सिस्टमने हमें पैकेज को एक वितरण से संकुल में बदलने की आवश्यकता पैदा की है जो हमारे अनुकूल है। मेरे मामले में उन्होंने इस्तेमाल किया लिनक्स टकसाल मुख्य distro और के रूप में Antergos परीक्षण के लिए, कभी-कभी मुझे ऐसे ऐप्स मिलते हैं जिनमें केवल पैकेज होता है लोगों के सामने पहली उपस्थिति करनेवाली और यह अंदर नहीं है AUR, उन मामलों में उन्होंने नामक एक उपकरण का उपयोग किया पुरातन मुझे अनुमति दे रहा है -deb को आर्क लिनक्स पैकेज में बदलें.

कुछ समय पहले के उद्देश्य को प्राप्त करने के लिए यहां एक और विधि के बारे में बात की गई थी एक डेबियन .deb पैकेज को आर्क लिनक्स पैकेज में बदलेंजिस विधि के साथ हम आपको पढ़ाने जा रहे हैं उसका अंतर प्रक्रिया का स्वचालन है।

उसी तरह, एक ट्यूटोरियल के लिए बनाया गया था DPKG के साथ ArchLinux पर डेबियन / उबंटू एप्लिकेशन इंस्टॉल करें सीमा के साथ कि यह निर्भरता को हल नहीं करता है। एक आर्क लिनक्स पैकेज में बहस

अर्चेलीन क्या है?

यह पायथन में लिखा गया एक निशुल्क उपकरण है जो अनुमति देता है एक डेबियन .deb पैकेज को आर्क लिनक्स पैकेज में बदलें। इसका उपयोग और स्थापना बहुत सरल है, उपकरण में समय की बचत होगी .deb पर आधारित एक आर्क लिनक्स पैकेज का निर्माणआर्क लिनक्स-आधारित वितरण पर एप्लिकेशन इंस्टॉल करने में नौसिखिए उपयोगकर्ताओं की सहायता करने के साथ-साथ।

एक आर्क लिनक्स पैकेज के लिए एक .deb परिवर्तित करना

.Deb को आर्क लिनक्स पैकेज में जल्दी और आसानी से परिवर्तित करने के लिए, हमें टूल के नवीनतम संस्करण को डाउनलोड करने के लिए पुरातन रिपॉजिटरी को क्लोन करना होगा। इसके लिए हमें एक टर्मिनल खोलना होगा और निम्नलिखित कमांड को निष्पादित करना होगा:

git clone https://github.com/Asher256/archalien.git

अर्चलीन का उपयोग करना

आगे हमें .deb पैकेज को इंगित करने वाले एप्लिकेशन को निष्पादित करना होगा जिसे हम कनवर्ट करना चाहते हैं। सिंटैक्स जो हमें उपयोग करना चाहिए वह निम्नलिखित है:

$ ./archalien.py उपयुक्त-फ़ाइल_2.5.4ubuntu1_all.deb

निम्नलिखित नाम के साथ एक आर्क लिनक्स पैकेज में यह परिणाम है: apt-file-2.5.4ubuntu1.pkg.tar.gz

आर्क लिनक्स और डेरिवेटिव्स पर pkg.tar.gz पैकेज स्थापित करें

.Deb रूपांतरण से उत्पन्न .pkg.tar.gz फ़ाइल को स्थापित करने के लिए, बस निम्नलिखित कमांड चलाएँ:

pacman -U nombredelpaquete

या क्या बराबर है

pacman -U apt-file-2.5.4ubuntu1.pkg.tar.gz

हमें यकीन है कि यह बहुत ही व्यावहारिक और उपयोगी उपकरण आपको बहुत समय बचाएगा और आपको कुछ सिरदर्द से बचाएगा।


अपनी टिप्पणी दर्ज करें

आपका ईमेल पता प्रकाशित नहीं किया जाएगा। आवश्यक फ़ील्ड के साथ चिह्नित कर रहे हैं *

*

*

  1. डेटा के लिए जिम्मेदार: मिगुएल elngel Gatón
  2. डेटा का उद्देश्य: नियंत्रण स्पैम, टिप्पणी प्रबंधन।
  3. वैधता: आपकी सहमति
  4. डेटा का संचार: डेटा को कानूनी बाध्यता को छोड़कर तीसरे पक्ष को संचार नहीं किया जाएगा।
  5. डेटा संग्रहण: ऑकेंटस नेटवर्क्स (EU) द्वारा होस्ट किया गया डेटाबेस
  6. अधिकार: किसी भी समय आप अपनी जानकारी को सीमित, पुनर्प्राप्त और हटा सकते हैं।

  1.   जूलियो सीजर कैम्पोस कहा

    अभिवादन, मैंने उन चरणों को किया, जो ट्यूटोरियल कहता है, लेकिन आर्कलिनक्स फाइलें इस तरह से एक एक्सटेंशन में समाप्त होती हैं: curlew-0.2.2-1-any.pkg.tar.xz और अगर वास्तव में आपके द्वारा उल्लेखित कार्यक्रम उन्हें इसमें उत्पन्न करता है। विस्तार: curlew-0.2.2-1.pkg.tar.gz जो पैक्मैन-यू के साथ स्थापित नहीं किया जा सकता है
    तो कार्यक्रम में क्या गलत है ...
    धन्यवाद

    1.    गुमनाम कहा

      मैं जुलाई के साथ मेल खाता हूं ...

      यह pxman के साथ स्थापित करने में सक्षम होने के लिए एक .xz फ़ाइल उत्पन्न करना चाहिए

  2.   मार्टी मैक्कल कहा

    और RPM में DEB कन्वर्ट करने के लिए?

    1.    छिपकली कहा

      आप उस लेख को देख सकते हैं जो UsemosLinux ने लिखा था DEB को RPM में कैसे बदलें और इसके विपरीत

      1.    मार्टी मैक्कल कहा

        जानकारी के लिए बहुत बहुत धन्यवाद the

  3.   nicolas97 कहा

    दोस्तों क्या गलती है यह प्रकट होता है ।/archalien.py: फ़ाइल या निर्देशिका मौजूद नहीं है, कोई है जो मेरी मदद कर सकता है?

  4.   कैसलिंग कहा

    अमान्य पैकेज संस्करण, काम नहीं कर रहा है।

  5.   लुविंस कहा

    धन्यवाद! मुझे नहीं पता था कि यह मेरे लिए पूरी तरह से काम करता है

  6.   एंड्रेस आरजेएक्स कहा

    धन्यवाद, अगर यह मेरे लिए सही काम किया

  7.   जुआन जोस कहा

    आपको बहुत बहुत धन्यवाद